curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"hooks": [
{
"id": "hook_001",
"marketId": "clx_market_001",
"hookType": "monitorRisk",
"name": "External Risk Feed",
"riskUri": "https://risk.example.com/api/score",
"checkFrequency": "5m",
"active": true,
"lastResult": true,
"executionCount": 142
}
]
}
}
List all hooks configured for a lending market
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"hooks": [
{
"id": "hook_001",
"marketId": "clx_market_001",
"hookType": "monitorRisk",
"name": "External Risk Feed",
"riskUri": "https://risk.example.com/api/score",
"checkFrequency": "5m",
"active": true,
"lastResult": true,
"executionCount": 142
}
]
}
}
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"hooks": [
{
"id": "hook_001",
"marketId": "clx_market_001",
"hookType": "monitorRisk",
"name": "External Risk Feed",
"riskUri": "https://risk.example.com/api/score",
"checkFrequency": "5m",
"active": true,
"lastResult": true,
"executionCount": 142
}
]
}
}